Debian Bug report logs - #667139
coin3: ftbfs with GCC-4.7

version graph

Package: coin3; Maintainer for coin3 is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:11:47 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version 3.1.3-2

Fixed in version coin3/3.1.3-2.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#667139; Package coin3. (Tue, 03 Apr 2012 23:11:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 03 Apr 2012 23:11:50 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: coin3: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:08:23 +0000
Package: coin3
Version: 3.1.3-2
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

../../include/Inventor/SbBasic.h:99:5: error: 'cc_debugerror_post' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/coin3_3.1.3-2_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
../../include/Inventor/SbVec2s.h:72:83:   required from here
../../include/Inventor/SbBasic.h:99:5: error: 'cc_debugerror_post' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from ../../include/Inventor/errors/SoDebugError.h:28:0,
                 from ../../include/Inventor/SbVec2s.h:32,
                 from ../../include/Inventor/SbViewportRegion.h:28,
                 from ../../include/Inventor/actions/SoGLRenderAction.h:30,
                 from SoGLRenderAction.cpp:56:
../../include/Inventor/C/errors/debugerror.h:59:19: note: 'void cc_debugerror_post(const char*, const char*, ...)' declared here, later in the translation unit
In file included from ../../include/Inventor/actions/SoAction.h:27:0,
                 from ../../include/Inventor/actions/SoGLRenderAction.h:27,
                 from SoGLRenderAction.cpp:56:
../../include/Inventor/SbBasic.h: In instantiation of 'void SbDividerChk(const char*, Type) [with Type = float]':
../../include/Inventor/SbVec2f.h:70:81:   required from here
../../include/Inventor/SbBasic.h:99:5: error: 'cc_debugerror_post' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from ../../include/Inventor/errors/SoDebugError.h:28:0,
                 from ../../include/Inventor/SbVec2s.h:32,
                 from ../../include/Inventor/SbViewportRegion.h:28,
                 from ../../include/Inventor/actions/SoGLRenderAction.h:30,
                 from SoGLRenderAction.cpp:56:
../../include/Inventor/C/errors/debugerror.h:59:19: note: 'void cc_debugerror_post(const char*, const char*, ...)' declared here, later in the translation unit
make[5]: *** [SoAction.lo] Error 1
make[5]: *** [SoGLRenderAction.lo] Error 1
make[5]: Leaving directory `/«PKGBUILDDIR»/src/actions'
make[4]: *** [all-recursive] Error 1
make[3]: *** [all] Error 2
make[2]: *** [all-recursive] Error 1
make[1]: *** [all] Error 2
dh_auto_build: make -j10 returned exit code 2
make: *** [build-arch] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#667139; Package coin3. (Thu, 03 May 2012 21:36:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 03 May 2012 21:36:18 GMT) Full text and rfc822 format available.

Message #10 received at 667139@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 667139@bugs.debian.org
Subject: Re: coin3: ftbfs with GCC-4.7
Date: Thu, 03 May 2012 23:16:26 +0200
tags 667139 + patch
thanks

this can be worked around by building with -fpermissive.




Added tag(s) patch. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 03 May 2012 21:36:36 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:51:14 GMT) Full text and rfc822 format available.

Added indication that bug 667139 blocks 667375 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 13:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#667139; Package coin3. (Sun, 13 May 2012 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 13 May 2012 13:54:04 GMT) Full text and rfc822 format available.

Message #21 received at 667139@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 667139@bugs.debian.org
Subject: Re: Bug#667139: coin3: ftbfs with GCC-4.7
Date: Sun, 13 May 2012 15:50:25 +0200
[Message part 1 (text/plain, inline)]
On Thu, 03 May 2012 23:16:26 +0200, Matthias Klose wrote:

> this can be worked around by building with -fpermissive.

I can confirm that it builds with the attached diff.

But:

% lintian -F coin3_3.1.3-2.1_amd64.changes
E: libcoin60: embedded-library usr/lib/libCoin.so.60.1.3: expat


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Dhafer Youssef: Holy Lie (Empire d'Ivresse Suite)
[667139.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 23 May 2012 02:51:10 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Wed, 23 May 2012 02:51:10 GMT) Full text and rfc822 format available.

Message #26 received at 667139-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 667139-close@bugs.debian.org
Subject: Bug#667139: fixed in coin3 3.1.3-2.1
Date: Wed, 23 May 2012 02:48:18 +0000
Source: coin3
Source-Version: 3.1.3-2.1

We believe that the bug you reported is fixed in the latest version of
coin3, which is due to be installed in the Debian FTP archive:

coin3_3.1.3-2.1.diff.gz
  to main/c/coin3/coin3_3.1.3-2.1.diff.gz
coin3_3.1.3-2.1.dsc
  to main/c/coin3/coin3_3.1.3-2.1.dsc
libcoin60-dev_3.1.3-2.1_amd64.deb
  to main/c/coin3/libcoin60-dev_3.1.3-2.1_amd64.deb
libcoin60-doc_3.1.3-2.1_all.deb
  to main/c/coin3/libcoin60-doc_3.1.3-2.1_all.deb
libcoin60-runtime_3.1.3-2.1_all.deb
  to main/c/coin3/libcoin60-runtime_3.1.3-2.1_all.deb
libcoin60_3.1.3-2.1_amd64.deb
  to main/c/coin3/libcoin60_3.1.3-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667139@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated coin3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 May 2012 15:39:08 +0200
Source: coin3
Binary: libcoin60 libcoin60-dev libcoin60-runtime libcoin60-doc
Architecture: source amd64 all
Version: 3.1.3-2.1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libcoin60  - high-level 3D graphics kit implementing the Open Inventor API
 libcoin60-dev - high-level 3D graphics devkit with Open Inventor and VRML97 suppo
 libcoin60-doc - high-level 3D graphics kit with Open Inventor and VRML97 support
 libcoin60-runtime - high-level 3D graphics kit - external data files
Closes: 667139
Changes: 
 coin3 (3.1.3-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
 .
   [ Gregor Herrmann ]
   * Fix "ftbfs with GCC-4.7": build with -fpermissive, thanks to Matthias
     Klose for the pointer.
     (Closes: #667139)
 .
   [ Matthias Klose ]
   * Overwrite lintian warning for embedded library for this upload.
Checksums-Sha1: 
 2a12709a60e5782ed1821c157b7460f04f85e3a6 1510 coin3_3.1.3-2.1.dsc
 3845479ba47dfd15a383be70a626624aba33bd3c 4653 coin3_3.1.3-2.1.diff.gz
 3cb5fd70c10ffa4ae00ba4443760e0b0f3b09d58 3352164 libcoin60_3.1.3-2.1_amd64.deb
 47720aac9ceaabaadbdabae68f5b84dcf7cfb3f8 5907274 libcoin60-dev_3.1.3-2.1_amd64.deb
 f2f15762612835feb13d11a3a9fd397273fd3fc0 29932 libcoin60-runtime_3.1.3-2.1_all.deb
 a5c4ba818571dc4ac207a52b43a70a52a2c7ae27 15534356 libcoin60-doc_3.1.3-2.1_all.deb
Checksums-Sha256: 
 32e65153dfe0addbadc87c87ebd26b833c404269efc39fe8ebd81b2d40289a67 1510 coin3_3.1.3-2.1.dsc
 a4888f41aef39f3f0230089eb6aa9f2df207c74168cf319e9571ba36a5e39c5b 4653 coin3_3.1.3-2.1.diff.gz
 ba48c422b18a148dcb23f258c7e16a23586b9b73bef34ef18b4bf4d15e2c4ce6 3352164 libcoin60_3.1.3-2.1_amd64.deb
 227b12beddf143d16b3f81472cfa61849e4dd01deb612dd9f45b2ff33cb462f5 5907274 libcoin60-dev_3.1.3-2.1_amd64.deb
 800e5d8e0da8ea0d3dc1b4d0691a22a7a30743435091ec5b4d6df99be3f2f81c 29932 libcoin60-runtime_3.1.3-2.1_all.deb
 7a472a577a8bf249b4cef3b946fa6892f3e87271953c5b61d032a42dddd1629f 15534356 libcoin60-doc_3.1.3-2.1_all.deb
Files: 
 f06581ca2feb651aedfa8589d68b0135 1510 graphics optional coin3_3.1.3-2.1.dsc
 05c2c191f6980e5215ad23adf12b7a42 4653 graphics optional coin3_3.1.3-2.1.diff.gz
 a4c0873ac26a9f3b21dc08446a727400 3352164 libs optional libcoin60_3.1.3-2.1_amd64.deb
 af70fac9f2fbe103a29d750dee1046dd 5907274 libdevel optional libcoin60-dev_3.1.3-2.1_amd64.deb
 ef112b5305f125a50fe4f318a26d5602 29932 libs optional libcoin60-runtime_3.1.3-2.1_all.deb
 c67c7492c66b688bde2b496cecdc59d5 15534356 doc optional libcoin60-doc_3.1.3-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk+8RxkACgkQStlRaw+TLJy9FwCgrDaPZGd2jzFjCn+NrpZ/4XyV
05YAn1OlcN2FuxMdPl+uDug4uhsxxrjO
=8EIc
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#667139; Package coin3. (Wed, 23 May 2012 23:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 23 May 2012 23:09:04 GMT) Full text and rfc822 format available.

Message #31 received at 667139@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 667139@bugs.debian.org, 667375@bugs.debian.org
Subject: issue is in the coin3 headers
Date: Thu, 24 May 2012 07:06:42 +0800
reassign 667375 src:coin3
thanks

issue is in the coin3 headers (missing include), qmf builds fine with the fixed
header.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#667139; Package coin3. (Wed, 23 May 2012 23:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 23 May 2012 23:15:06 GMT) Full text and rfc822 format available.

Message #36 received at 667139@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 667139@bugs.debian.org, 667375@bugs.debian.org
Subject: Re: coin3 gcc 4.7 build failure
Date: Thu, 24 May 2012 07:10:45 +0800
[Message part 1 (text/plain, inline)]
so, this is the only fix needed for fixing the gcc-4.7 failures
[coin3.diff (text/plain, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Jul 2012 07:41:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:11:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.